2 Replies Latest reply on Sep 11, 2016 10:07 AM by bhaskarg67312891

    Phonegap android build is failing consistently

    bhaskarg67312891 Level 1

      Build Date: 2016-09-10 04:18:53 +0000

      Configuration on demand is an incubating feature.

      Incremental java compilation is an incubating feature.

      Download https://repo1.maven.org/maven2/com/urbanairship/android/urbanairship-sdk/7.3.0/urbanairshi p-sdk-7.3.0.pom

      Download https://repo1.maven.org/maven2/com/paypal/sdk/paypal-android-sdk/2.14.0/paypal-android-sdk -2.14.0.pom

      Download https://repo1.maven.org/maven2/com/squareup/okhttp3/okhttp/3.2.0/okhttp-3.2.0.pom

      Download https://repo1.maven.org/maven2/com/squareup/okhttp3/parent/3.2.0/parent-3.2.0.pom

      Download https://repo1.maven.org/maven2/io/card/android-sdk/5.3.0/android-sdk-5.3.0.pom

       

      FAILURE: Build failed with an exception.

       

      * What went wrong:

      A problem occurred configuring root project 'project'.

      > Could not resolve all dependencies for configuration ':_debugCompile'.

        > Could not find com.android.support:support-v4:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.jar

        Required by:

        :project:unspecified

        :project:unspecified > com.urbanairship.android:urbanairship-sdk:7.3.0

        > Could not find com.android.support:cardview-v7:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.p om

        https://repo1.maven.org/maven2/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.j ar

        https://jcenter.bintray.com/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/cardview-v7/24.2.0/card view-v7-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/cardview-v7/24.2.0/card view-v7-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/cardview-v7/24.2.0/cardv iew-v7-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/cardview-v7/24.2.0/cardv iew-v7-24.2.0.jar

        Required by:

        :project:unspecified

        > Could not find com.android.support:support-annotations:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-annotations/24.2.0/support-anno tations-24.2.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-annotations/24.2.0/support-anno tations-24.2.0.jar

        https://jcenter.bintray.com/com/android/support/support-annotations/24.2.0/support-annotat ions-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/support-annotations/24.2.0/support-annotat ions-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-annotations/24. 2.0/support-annotations-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-annotations/24. 2.0/support-annotations-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-annotations/24.2 .0/support-annotations-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-annotations/24.2 .0/support-annotations-24.2.0.jar

        Required by:

        :project:unspecified

        :project:unspecified > com.urbanairship.android:urbanairship-sdk:7.3.0

        > Could not find com.android.support:support-v4:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.jar

        Required by:

        :project:unspecified > com.google.android.gms:play-services-gcm:9.4.0 > com.google.android.gms:play-services-basement:9.4.0

       

      * Try:

      Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

       

      BUILD FAILED

       

      Total time: 3.248 secs

      Error: /project/gradlew: Command failed with exit code 1 Error output:

      FAILURE: Build failed with an exception.

       

      * What went wrong:

      A problem occurred configuring root project 'project'.

      > Could not resolve all dependencies for configuration ':_debugCompile'.

        > Could not find com.android.support:support-v4:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.jar

        Required by:

        :project:unspecified

        :project:unspecified > com.urbanairship.android:urbanairship-sdk:7.3.0

        > Could not find com.android.support:cardview-v7:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.p om

        https://repo1.maven.org/maven2/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.j ar

        https://jcenter.bintray.com/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/cardview-v7/24.2.0/cardview-v7-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/cardview-v7/24.2.0/card view-v7-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/cardview-v7/24.2.0/card view-v7-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/cardview-v7/24.2.0/cardv iew-v7-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/cardview-v7/24.2.0/cardv iew-v7-24.2.0.jar

        Required by:

        :project:unspecified

        > Could not find com.android.support:support-annotations:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-annotations/24.2.0/support-anno tations-24.2.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-annotations/24.2.0/support-anno tations-24.2.0.jar

        https://jcenter.bintray.com/com/android/support/support-annotations/24.2.0/support-annotat ions-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/support-annotations/24.2.0/support-annotat ions-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-annotations/24. 2.0/support-annotations-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-annotations/24. 2.0/support-annotations-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-annotations/24.2 .0/support-annotations-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-annotations/24.2 .0/support-annotations-24.2.0.jar

        Required by:

        :project:unspecified

        :project:unspecified > com.urbanairship.android:urbanairship-sdk:7.3.0

        > Could not find com.android.support:support-v4:24.2.0.

        Searched in the following locations:

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://repo1.maven.org/maven2/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.pom

        https://jcenter.bintray.com/com/android/support/support-v4/24.2.0/support-v4-24.2.0.jar

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.pom

        file:/android-sdk/extras/android/m2repository/com/android/support/support-v4/24.2.0/suppo rt-v4-24.2.0.jar

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.pom

        file:/android-sdk/extras/google/m2repository/com/android/support/support-v4/24.2.0/suppor t-v4-24.2.0.jar

        Required by:

        :project:unspecified > com.google.android.gms:play-services-gcm:9.4.0 > com.google.android.gms:play-services-basement:9.4.0

       

      * Try:

      Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

        at ChildProcess.whenDone (/project/cordova/node_modules/cordova-common/src/superspawn.js:169:23)

        at emitTwo (events.js:87:13)

        at ChildProcess.emit (events.js:172:7)

        at maybeClose (internal/child_process.js:818:16)

        at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5) !

       

      My Appid is 1893862